View Issue Details

IDProjectCategoryView StatusLast Update
0014954LazarusIDEpublic2010-05-05 02:15
ReporterLuiz AmericoAssigned ToLuiz Americo 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version0.9.30Fixed in Version0.9.30 
Summary0014954: Add option to not create the project resource files
DescriptionI create a lot of demo programs, be to report bugs, be to demonstrate the components i develop, some of them i store in a svn server. In such programs is not necessary icons etc.

I'd like to have an option in the New dialog (Application page) to not include the project resource files (<project>.lrs, <project>.rc, <project>.manifest, <project>.ico) because this increase the file size to distribute (lrs is by far the biggest file of a small project) and somehow pollutes the file system.

In other words, i'd like to see an option to create the minimum build-able project (what was done before the project resources support implementation)
TagsNo tags attached.
Fixed in Revision
LazTarget0.9.30
Widgetset
Attached Files

Activities

Graeme Geldenhuys

2009-10-31 23:40

reporter   ~0031826

Last edited: 2009-10-31 23:41

+1
Currently this is the most annoying feature of Lazarus IDE for me. I use Lazarus IDE mostly for creating simple "free pascal" console applications or non-LCL apps, which do not require icons, manifest files etc like under Linux - I get pretty annoyed having to disable those every single time in the Project Option dialog. Shut down the IDE, delete those unnecessary files and then start the Lazarus IDE again.

Please make those "optional" in the Environment options, or only have them enabled for Lazarus LCL type applications.

Luiz Americo

2010-03-26 20:59

developer   ~0036129

The support for win like resources makes the things a lot better, fixing this issue IMO

Issue History

Date Modified Username Field Change
2009-10-31 16:42 Luiz Americo New Issue
2009-10-31 21:03 Vincent Snijders LazTarget => -
2009-10-31 21:03 Vincent Snijders Status new => acknowledged
2009-10-31 23:40 Graeme Geldenhuys Note Added: 0031826
2009-10-31 23:41 Graeme Geldenhuys Note Edited: 0031826
2010-03-26 20:59 Luiz Americo LazTarget - => 0.9.30
2010-03-26 20:59 Luiz Americo Status acknowledged => resolved
2010-03-26 20:59 Luiz Americo Fixed in Version => 0.9.30
2010-03-26 20:59 Luiz Americo Resolution open => fixed
2010-03-26 20:59 Luiz Americo Assigned To => Luiz Americo
2010-03-26 20:59 Luiz Americo Note Added: 0036129
2010-03-26 20:59 Luiz Americo Target Version => 0.9.30
2010-05-05 02:15 Luiz Americo Status resolved => closed